$(document).ready(function() {   
        
    // Show the product list
    getProducts( showProducts, errorMessage );
    
    //----------------------------
    // Define the cart object
    const cart = new Cart("withinwebcartkey03");
    
    //----------------------------        
    // Calcualte the basket total
    updatebaskettotal();

});
